package com.yd.dal.service.customer;

import com.yd.dal.entity.customer.AclPractitionerSubordinateSystem;
import com.yd.dal.entity.customer.practitioner.PractitionerSubordinateInfo;
import com.yd.dal.entity.customer.practitioner.SubordinateSystemMemberInfoE;
import org.springframework.stereotype.Service;

import java.util.List;

@Service("aclPractitionerSubordinateSystemDALService")
public interface AclPractitionerSubordinateSystemDALService {
    PractitionerSubordinateInfo findSubordinateInfo(Long subordinateId);


    AclPractitionerSubordinateSystem findByPractitionerId(Long practitionerId);

    List<AclPractitionerSubordinateSystem> findByOwnerPractitionerId(Long practitionerId);

    List<AclPractitionerSubordinateSystem> findByOwner(Long practitionerId);

    PractitionerSubordinateInfo findByOwnerE(String practitionerId);

    List<SubordinateSystemMemberInfoE> findStatisticsE(String subordinateIdForEGolden, Integer time);

    List<SubordinateSystemMemberInfoE> findStatisticsEBymobileList(List<String> mobileNoList, Integer time);
}
